/*
 *    TableSpec.java
 *    Copyright (C) 2004 Bee-Chung Chen
 *
 */

package LFA2;

import weka.core.*;
import java.io.*;

public class TableSpec extends Instances {

  /**
   * Reads an ARFF file from a reader, and assigns a weight of
   * one to each instance. Lets the index of the class 
   * attribute be undefined (negative).
   *
   * @param reader the reader
   * @exception IOException if the ARFF file is not read 
   * successfully
   */
  public TableSpec(Reader reader) throws IOException {

    super(reader,1);
    readInstance(reader);

  }


}
